03-24-19 02:56 AM
4,042 ... 6263646566 ...
tools
  1. ralfyguy's Avatar
    I thought maps doesn't need patched.

    Posted via CB10
    12-30-14 04:45 PM
  2. Cobalt232's Avatar
    Correct, Maps must or better can not be patched. The app will not work anymore after patching.
    12-30-14 05:05 PM
  3. IamNishvanth's Avatar
    12-30-14 09:19 PM
  4. sujith_cs18's Avatar
    Can someone share a working download link for gmaps patcher. I guess mega link is blocked here. I am trying from yesterday to open up mega links but its not opening.

    Thanks,
    Sujith
    12-31-14 12:56 AM
  5. sujith_cs18's Avatar
    Cobalt, Can you please help me getting a patched version of olacabs and taxiforsure app. I am unable to get gmaps patcher for windows using mega links. They are not accessible for me. Also, can you upload the gmaps patcher to dropbox and share the link please.

    Thanks,
    Sujith
    12-31-14 01:01 AM
  6. jokerclown's Avatar
    Cobalt, Can you please help me getting a patched version of olacabs and taxiforsure app. I am unable to get gmaps patcher for windows using mega links. They are not accessible for me. Also, can you upload the gmaps patcher to dropbox and share the link please.

    Thanks,
    Sujith
    What do you use to open the mega link?

    Posted via CB10
    12-31-14 09:03 PM
  7. sujith_cs18's Avatar
    I tried using firefox, IE and maxthon browser but nothing is happening. I even tried to download mega app and tried creating a user but user creation/registration is not happening. If you can atleast share the gmaps patcher here that would be very helpful.

    I even flushed my DNS cache/cleared browser cache and tried with different ISP's on my laptop but the links are not opening. By the way I am on official 10.2.1.

    Thanks,
    Sujith
    01-01-15 06:54 AM
  8. pomidor's Avatar
    Can someone share a working download link for gmaps patcher. I guess mega link is blocked here. I am trying from yesterday to open up mega links but its not opening.

    Thanks,
    Sujith
    If Mega is being blocked where you are, use Tor Browser. It will automatically reroute traffic via a proxy outside your country.

    Open this thread in Tor Browser, then click the Mega link again (don't copy the link to Tor Browser, it won't work; you have to click the link from inside Tor Browser). It will be a bit slow, but it should work.
    01-01-15 08:27 AM
  9. Cobalt232's Avatar
    Click image for larger version. 

Name:	Untewqrwtwertitled.png 
Views:	1377 
Size:	100.1 KB 
ID:	324342
    Java is obviously not detected. Make sure the path points to the java exe. The path in settings will look something like this:

    C:\programm files\java\jre7\bin\java.exe

    Make sure that the path contains the \java.exe at the end.
    01-01-15 08:29 AM
  10. popengchan's Avatar
    Hi, what is the problem again when everytime I sign in with the Google account cobalt posted on the first post gives out the below error: (PS. I have made sure I have good and active wifi connection). Any suggestions?


    How to patch Android Apps depending on Google Maps and Google Play Services-img_20150101_232907.png

    Posted via CB10
    01-01-15 09:31 AM
  11. Cobalt232's Avatar
    Hi, what is the problem again when everytime I sign in with the Google account cobalt posted on the first post gives out the below error: (PS. I have made sure I have good and active wifi connection). Any suggestions?


    Click image for larger version. 

Name:	IMG_20150101_232907.png 
Views:	1714 
Size:	43.8 KB 
ID:	324593

    Posted via CB10
    How did you sign in? Did you open Google Accounts app and try to sign in there?
    01-01-15 09:45 AM
  12. popengchan's Avatar
    Yes, I opened the app that was created after installation, are there any other ways?

    Posted via CB10
    01-01-15 10:16 AM
  13. Cobalt232's Avatar
    Yes, I opened the app that was created after installation, are there any other ways?

    Posted via CB10
    Yes. It is not possible to login by opening the Google Account app. You will not be able to enter your email account and login will always fail with the error message you posted.

    There are two known ways to correctly login:

    First install the Login app (that you have already done)

    Method 1: Go to Blackberry Settings -> Accounts -> Add Account -> Add 3rd Party Account. Then choose Google Account
    Method 2: Run an app that requires a Google Login (i.e. Google Play Store). This app will then invoke the Google Account app and allow you to enter your email and your password

    Checkout my Landing page for more details.
    popengchan likes this.
    01-01-15 10:28 AM
  14. sujith_cs18's Avatar
    Thank you very much for the tip pomidor. Through torbrowser I got the files from mega. I was able to patch olacabs and taxiforsure apk's successfully. Taxiforsure app seems to be working but olacabs is not. FYI - I installed stable version of com.google.android.gms.apk which I got from Cobalt's official google landing page. Its still saying "google play services ...... ". I cant see complete error as its hidden behind search bar of gmaps. When I hit OK button here app gets force closed. Then I also installed stable version of com.google.android.gms.apk (got from app.box.com/s/4dux5dlugn1hwm5xnkx4) by patching this through gmaps patcher but still olacabs does not work. Can any of you please help me. Is there a specific version of gmaps I am supposed to use here to make google service related apps work? If yes can I have the link please. Sharing olacabs apk. Please try patching if you can and let me know if it works. By the way this is the logs I see after patching olacabs apk with decompiling option enabled.

    Thanks,
    Sujith
    ********
    Processing D:\com.olacabs.customer.apk
    The package contains 1 classes.dex file
    [Decompiling classes and resources]
    I: Using Apktool 2.0.0-RC3 on com.olacabs.customer.apk
    I: Loading resource table...
    I: Decoding AndroidManifest.xml with resources...
    I: Loading resource table from file: C:\Users\NEO\apktool\framework\1.apk
    I: Regular manifest package...
    I: Decoding file-resources...
    I: Decoding values */* XMLs...
    I: Baksmaling classes.dex...
    Cleaning up unclosed ZipFile for archive C:\Users\NEO\apktool\framework\1.apk
    I: Copying assets and libs...
    I: Copying unknown files...
    I: Copying original files...
    Decompiled 8.86 MB in 52.18 seconds
    Done.
    [Analyzing Package]
    Google Maps API v2 dependencies detected
    Found meta-data android:name="com.google.android.maps.v2.API_KEY" in file AndroidManifest.xml
    Scanning \smali\com\google\android\gms\common
    Using pattern .method public static isGooglePlayServicesAvailable(Landroid/content/Context to identify Google Play services file
    Google Play services dependencies detected
    Found \.method public static isGooglePlayServicesAvailable\(Landroid/content\/Context;\)I
    in file D:\GMaps_Patcher_Win_1.3.1\GMaps_Patcher_Win_1.3.1 \tmp\com.olacabs.customer\smali\com\google\android \gms\common\GooglePlayServicesUtil.smali
    AndroidrotectionLevel detected
    Found androidrotectionLevel= in file AndroidManifest.xml
    Using pattern .class public final Lcom/google/android/gms/ads/AdSize to identify ads file.
    Google Advertising dependencies detected
    Found file D:\GMaps_Patcher_Win_1.3.1\GMaps_Patcher_Win_1.3.1 \tmp\com.olacabs.customer\smali\com\google\android \gms\ads\AdSize.smali
    [Analysis completed]

    Press CONTINUE to proceed or CANCEL to abort.

    [Replacing Google Maps v2 API key in AndroidManifest]
    Done.
    [Removing androidrotectionLevel from AndroidManifest]
    Removed 0 occurrences of androidrotectionLevel="normal"
    Removed 1 occurrences of androidrotectionLevel="signature"
    Removed 0 occurrences of androidrotectionLevel="signatureOrSystem"
    Removed 0 occurrences of androidrotectionLevel="dangerous"
    Done.
    [Patching Google Play Services]
    Patching .method public static isGooglePlayServicesAvailable(Landroid/content/ContextI
    Done.
    [Resizing Advertising Banner]
    Done.
    [Rebuilding]
    I: Using Apktool 2.0.0-RC3 on com.olacabs.customer
    I: Checking whether sources has changed...
    I: Smaling smali folder into classes.dex...
    I: Checking whether resources has changed...
    I: Building resources...
    I: Building apk file...
    Done.
    [Signing and Zip aligning]
    Done.
    [Cleaning up]
    Done.
    Attached Files
    sonam chamaria likes this.
    01-01-15 11:36 AM
  15. popengchan's Avatar
    Yes. It is not possible to login by opening the Google Account app. You will not be able to enter your email account and login will always fail with the error message you posted.

    There are two known ways to correctly login:

    First install the Login app (that you have already done)

    Method 1: Go to Blackberry Settings -> Accounts -> Add Account -> Add 3rd Party Account. Then choose Google Account
    Method 2: Run an app that requires a Google Login (i.e. Google Play Store). This app will then invoke the Google Account app and allow you to enter your email and your password

    Checkout my Landing page for more details.
    Hi, there is no "3rd party account" on the add account settings nor Google account guess I'm doing something wrong




    How to patch Android Apps depending on Google Maps and Google Play Services-img_20150102_014744.png

    Posted via CB10
    01-01-15 11:49 AM
  16. Cobalt232's Avatar
    Hi, there is no "3rd party account" on the add account settings nor Google account guess I'm doing something wrong




    Click image for larger version. 

Name:	IMG_20150102_014744.png 
Views:	1477 
Size:	38.6 KB 
ID:	324651

    Posted via CB10
    I read somewhere in the forums that with the latest 10.3.1 leak you cannot add 3rd-Party accounts. The feature is also missing in 10.2.1.

    In that case, you should download and install Google Play Store from my thread and then just run it. Read the first post of this thread:
    http://forums.crackberry.com/android...oading-985344/
    01-01-15 12:18 PM
  17. bbquincar's Avatar
    Hi I have tried to get the maps on fitbit to work but having trouble doing so. Can someone with better luck test it out for me please. Also is there any way to share the apk with the maps working.

    Posted via CB10
    01-01-15 03:54 PM
  18. LUVINZ30's Avatar
    I have a Z30 and just installed 10.3.1.1368 destructively. I have since followed Cobalt's instructions and successfully installed Play Store, with Google Account and ID.

    The only thing I was hoping for was to have Yelp call the GMaps app, which works fine, from the Get Directions tab rather than call a browser.

    I patched Yelp V6.9.1 using GMaps Patcher 1.3.1. I also separately installed Google Play Services using com.google.android.gms-5.089-cobalk.apk.

    I can now view a map within Yelp, which is an improvement, but can still can't get Yelp to call the GMaps App from the Get Directions tab. I recall this did work well with OS 10.2 and presumably a different runtime without patching. Instead, it still goes to the web browser version of Maps, which is what happens anyway with the standard unpatched Yelp and no Google Play Services. What am I missing??? Do I need to be signed in somewhere I'm not or is it something else? Thanks in advance...
    01-01-15 04:49 PM
  19. Sally Mack's Avatar
    Hi I have tried to get the maps on fitbit to work but having trouble doing so. Can someone with better luck test it out for me please. Also is there any way to share the apk with the maps working.

    Posted via CB10
    Can you describe exactly what needs to be working "better" and what you've done so far to try to remedy this?
    01-01-15 05:06 PM
  20. bbquincar's Avatar
    Can you describe exactly what needs to be working "better" and what you've done so far to try to remedy this?
    Its the map section in the excirsie section. I attempted to follow the steps to remove google dependcies. It worked but the map still dont work in that sections.

    How to patch Android Apps depending on Google Maps and Google Play Services-img_20150101_183641.png

    Posted via CB10
    01-01-15 05:39 PM
  21. ENBertussi's Avatar
    Hey there,

    I am hoping to get the google gmail app working on my brand new blackberry classic, thanks so much for the December 23rd play services post.. super awesome..

    So I am at the point now wehre I think i need the .gms 5.0.89 to get play services running but it seems like it is geared toward maps and after reading this and several other threads I'm not certain I am on the proper path...

    is this thread and this http://forums.crackberry.com/android...atcher-947141/

    ENB..//
    Last edited by BigBadWulf; 01-04-15 at 10:51 AM. Reason: fixed link
    01-04-15 10:32 AM
  22. Cobalt232's Avatar
    Hey there,

    I am hoping to get the google gmail app working on my brand new blackberry classic, thanks so much for the December 23rd play services post.. super awesome..

    So I am at the point now wehre I think i need the .gms 5.0.89 to get play services running but it seems like it is geared toward maps and after reading this and several other threads I'm not certain I am on the proper path...

    is this thread and this http://forums.crackberry.com/android...atcher-947141/

    ENB..//
    You should read this thread:
    http://forums.crackberry.com/android...g-page-965257/

    Google Mail requires the following components on your device:

    1. A patched version of Gmail (patch it with Lucky Patcher or GMaps Patcher)
    2. Prepatched Google Play services 6.1 (com.google.android.gms) -> found on the tread
    3. Google Login -> found on the tread
    4. Google Services Framework v3 (com.google.android.gsf) -> found on the tread, somwhere in the last 50 posts.

    Good luck.
    01-04-15 11:01 AM
  23. andy957's Avatar
    Not having success, I'm sure it's me because others are ok but this is what's happening, and perhaps you can tell me where I'm having a senior moment.

    Installed PlayStore, Google ID and Google Account from the APKs that I downloaded from Mega, and everything is cool. Have installed Firefox and it works like a charm.
    I understand that I need a patched version of Play Services in order to run Docs, Drive, etc. so I downloaded the patched version (5.0.89) on the first post in this thread, added it to Blend, installed on device. Immediately following installation, however, I get "Unfortunately, Google Play Services has stopped responding". Have even tried restarting the phone (Passport) after installing this patched version. If I then install Docs or Drive, during the install I get the same GPS stopped responding error, and cannot launch anything, even though it appears that the apps are installed properly.
    What have I done wrong? Please advise. Thanks, and apologies in advance if this is a dumb question.
    01-04-15 05:22 PM
  24. Sally Mack's Avatar
    You forgot to patch the applications themselves. So not only do you need to install the patched Google play services, but you need to download the apk's and patch then using the utility cobalt posted in the first post. Everything you need is in the first post, just read carefully .
    01-04-15 07:23 PM
  25. yakov116's Avatar
    car 2 go gives me this error
    The package contains 1 classes.dex file
    [Decompiling classes and resources]
    Decompiled 3.39 MB in 72.02 seconds
    Done.
    [Analyzing Package]
    Google Maps API v1 dependencies detected
    [Analysis completed]

    Press CONTINUE to proceed or CANCEL to abort.

    [Extracting certificates]
    Extracted MD5: c5b0623fb6a25d88bdaf3b592387d995
    Done.
    [Decompiling and patching Google Maps v1]
    Done.
    [Removing Google Maps API v1 dependencies from AndroidManifest]
    Done.
    [Rebuilding]
    Error: Package cannot be recompiled. Disable decompilation of resources in options and try again.
    [Cleaning up]
    Done.
    01-04-15 11:28 PM
4,042 ... 6263646566 ...

Similar Threads

  1. how do you clean install a BB10 device using Link?
    By gameson in forum BlackBerry 10 OS
    Replies: 14
    Last Post: 04-01-15, 07:54 AM
  2. Android Apps no Longer Working? Candy Crush?
    By raxamillion in forum More for your BlackBerry 10 Phone!
    Replies: 41
    Last Post: 05-05-14, 04:04 AM
  3. Best Remote desktop App?
    By alejandrohn5 in forum BlackBerry Z10
    Replies: 7
    Last Post: 04-01-14, 11:16 PM
  4. Can DLNA Rendering be Enabled by an APP?
    By Cynycl in forum BlackBerry PlayBook
    Replies: 4
    Last Post: 03-15-14, 02:25 PM
  5. Question about 10.2 and sim.
    By Watcher777 in forum BlackBerry Z10
    Replies: 1
    Last Post: 03-14-14, 03:00 PM
LINK TO POST COPIED TO CLIPBOARD